<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="onClickEvent"
            type="android.view.View.OnClickListener" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@color/title_bg_color"
            android:gravity="center"
            android:text="我的"
            android:textColor="@color/white"
            android:textSize="18sp" />

        <LinearLayout
            android:id="@+id/ll_user_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:onClick="@{onClickEvent}"
            android:paddingLeft="@dimen/margin_15"
            android:paddingTop="13dp"
            android:paddingRight="@dimen/margin_15"
            android:paddingBottom="13dp">

            <ImageView
                android:id="@+id/iv_avatar"
                android:layout_width="50dp"
                android:layout_height="50dp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_nick_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="13dp"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_account"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="13dp"
                    android:layout_marginTop="5dp"
                    android:textColor="@color/bg_color_8a"
                    android:textSize="15sp" />

            </LinearLayout>

            <Space
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <ImageView
                android:id="@+id/iv_qrCode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_qr_code" />

            <ImageView
                android:id="@+id/iv_arrow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:src="@mipmap/right_arrow" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_wallet"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_me_wallet"
            android:drawablePadding="20dp"
            android:onClick="@{onClickEvent}"
            android:paddingLeft="30dp"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="我的钱包"
            android:textColor="@color/theme_text_color"
            android:textSize="15sp"
            android:visibility="visible" />

        <TextView
            android:id="@+id/tv_customer_service"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_me_serve"
            android:drawablePadding="20dp"
            android:onClick="@{onClickEvent}"
            android:paddingLeft="30dp"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="申请提现"
            android:textColor="@color/theme_text_color"
            android:textSize="15sp"
            android:visibility="visible" />

<!--        <TextView-->
<!--            android:id="@+id/tv_customer_service"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_marginTop="10dp"-->
<!--            android:background="@color/white"-->
<!--            android:drawableLeft="@mipmap/ic_me_serve"-->
<!--            android:drawablePadding="20dp"-->
<!--            android:onClick="@{onClickEvent}"-->
<!--            android:paddingLeft="30dp"-->
<!--            android:paddingTop="18dp"-->
<!--            android:paddingBottom="18dp"-->
<!--            android:text="飞信客服"-->
<!--            android:textColor="@color/theme_text_color"-->
<!--            android:textSize="15sp"-->
<!--            android:visibility="gone" />-->

        <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/tv_mine_post"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@mipmap/me_post"
                        android:drawablePadding="20dp"
                        android:onClick="@{onClickEvent}"
                        android:paddingLeft="30dp"
                        android:paddingTop="18dp"
                        android:paddingBottom="18dp"
                        android:text="我的帖子"
                        android:textColor="@color/theme_text_color"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/margin_15"
                        android:layout_marginRight="@dimen/margin_15"
                        android:background="@color/background" />

                    <TextView
                        android:id="@+id/tv_mine_fans"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@mipmap/me_fans"
                        android:drawablePadding="20dp"
                        android:onClick="@{onClickEvent}"
                        android:paddingLeft="30dp"
                        android:paddingTop="18dp"
                        android:paddingBottom="18dp"
                        android:text="我的粉丝"
                        android:textColor="@color/theme_text_color"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/margin_15"
                        android:layout_marginRight="@dimen/margin_15"
                        android:background="@color/background" />

                    <TextView
                        android:id="@+id/tv_mine_like"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@mipmap/me_follow"
                        android:drawablePadding="20dp"
                        android:onClick="@{onClickEvent}"
                        android:paddingLeft="30dp"
                        android:paddingTop="18dp"
                        android:paddingBottom="18dp"
                        android:text="我的关注"
                        android:textColor="@color/theme_text_color"
                        android:textSize="15sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tv_service"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@mipmap/ic_me_serve"
                        android:drawablePadding="20dp"
                        android:onClick="@{onClickEvent}"
                        android:paddingLeft="30dp"
                        android:paddingTop="18dp"
                        android:paddingBottom="18dp"
                        android:text="飞信客服"
                        android:textColor="@color/theme_text_color"
                        android:textSize="15sp"
                        android:visibility="gone" />

                    <View
                        android:id="@+id/tv_service_line"
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/margin_15"
                        android:layout_marginRight="@dimen/margin_15"
                        android:background="@color/background" />

                    <TextView
                        android:id="@+id/tv_feed_back"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@mipmap/ic_me_feedback"
                        android:drawablePadding="20dp"
                        android:onClick="@{onClickEvent}"
                        android:paddingLeft="30dp"
                        android:paddingTop="18dp"
                        android:paddingBottom="18dp"
                        android:text="投诉建议"
                        android:textColor="@color/theme_text_color"
                        android:textSize="15sp" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_setting"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:drawableLeft="@mipmap/ic_me_setting"
                    android:drawablePadding="20dp"
                    android:onClick="@{onClickEvent}"
                    android:paddingLeft="30dp"
                    android:paddingTop="18dp"
                    android:paddingBottom="18dp"
                    android:text="设置"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />
            </LinearLayout>
        </android.support.v4.widget.NestedScrollView>
    </LinearLayout>

</layout>